> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.etera.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.etera.dev/_mcp/server.

# Update email template

PUT https://api.etera.dev/notification/templates/{id}
Content-Type: application/json


Update an existing email template.

**Features:**
- Partial updates supported (only provide fields to change)
- Automatic validation and variable extraction
- Version tracking with updatedAt timestamp
- Preserves creation metadata

**Validation:**
- Template content and structure validation
- Variable consistency checking
- Required field validation
- Warning generation for potential issues

**Use Cases:**
- Template content updates
- Configuration changes
- Bug fixes and improvements
- A/B testing variations
        

Reference: https://docs.etera.dev/platform/notifications/notification-api/email-templates/put-templates-by-id

## Authentication

- `Authorization` header (bearer token, required) — JWT token for authentication. Use 'test-jwt-token' for development.

## Servers

- `https://api.etera.dev/notification` (Production, default)
- `https://api-stage.etera.dev/notification` (Staging)
- `https://api-dev.etera.dev/notification` (Development)

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `name` (string, optional)
- `subject` (string, optional)
- `html` (string, optional)
- `text` (string, optional)
- `description` (string, optional)
- `variables` (list of string, optional)
- `category` (string, optional)
- `isActive` (boolean, optional)
- `tags` (list of string, optional)
- `metadata` (TemplatesIdPutRequestBodyContentApplicationJsonSchemaMetadata, optional)
- `createdBy` (string, optional)

## Response

### 200

- `success` (boolean, required)
- `data` (TemplatesIdPutResponsesContentApplicationJsonSchemaData, optional)
- `error` (TemplatesIdPutResponsesContentApplicationJsonSchemaError, optional)

## Types

### TemplatesIdPutRequestBodyContentApplicationJsonSchemaMetadata

### TemplatesIdPutResponsesContentApplicationJsonSchemaData

- `id` (string, required)
- `name` (string, required)
- `subject` (string, required)
- `variables` (list of string, required)
- `category` (string, required)
- `isActive` (boolean, required)
- `tags` (list of string, required)
- `metadata` (TemplatesIdPutResponsesContentApplicationJsonSchemaDataMetadata, required)
- `createdAt` (string, required)
- `updatedAt` (string, required)
- `html` (string, optional)
- `text` (string, optional)
- `description` (string, optional)
- `createdBy` (string, optional)
- `usageCount` (double, optional)

### TemplatesIdPutResponsesContentApplicationJsonSchemaError

- `message` (string, required)
- `code` (string, optional)
- `details` (any, optional)

### TemplatesIdPutResponsesContentApplicationJsonSchemaDataMetadata

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "subject": "string",
    "variables": [
      "string"
    ],
    "category": "string",
    "isActive": true,
    "tags": [
      "string"
    ],
    "metadata": {},
    "createdAt": "string",
    "updatedAt": "string",
    "html": "string",
    "text": "string",
    "description": "string",
    "createdBy": "string",
    "usageCount": 1.1
  },
  "error": {
    "message": "string",
    "code": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.etera.dev/notification/templates/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.etera.dev/notification/templates/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.etera.dev/notification/templates/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.etera.dev/notification/templates/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.etera.dev/notification/templates/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.etera.dev/notification/templates/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.etera.dev/notification/templates/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.etera.dev/notification/templates/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```